%global __brp_check_rpaths %{nil}
%global packname  glmglrt
%global packver   0.2.2
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.2.2
Release:          1%{?dist}%{?buildtag}
Summary:          GLRT P-Values in Generalized Linear Models

License:          GPL-2
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5
Requires:         R-core >= 3.5
BuildArch:        noarch
BuildRequires:    R-CRAN-parameters >= 0.1.0
BuildRequires:    R-stats 
BuildRequires:    R-MASS 
Requires:         R-CRAN-parameters >= 0.1.0
Requires:         R-stats 
Requires:         R-MASS 

%description
Provides functions to compute Generalized Likelihood Ratio Tests (GLRT)
also known as Likelihood Ratio Tests (LRT) and Rao's score tests of simple
and complex contrasts of Generalized Linear Models (GLMs). It provides the
same interface as summary.glm(), adding GLRT P-values, less biased than
Wald's P-values and consistent with profile-likelihood confidence interval
generated by confint(). See Wilks (1938) <doi:10.1214/aoms/1177732360> for
the LRT chi-square approximation. See Rao (1948)
<doi:10.1017/S0305004100023987> for Rao's score test. See Wald (1943)
<doi:10.2307/1990256> for Wald's test.

%prep
%setup -q -c -n %{packname}

find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
